Bug 210207 - ports-mgmt/portscout: false positive on new version that is random text
Summary: ports-mgmt/portscout: false positive on new version that is random text
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-11 09:56 UTC by John Marino
Modified: 2017-01-05 15:01 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2016-06-11 09:56:50 UTC
reference www/aws and www/aws-demos, both version 17.0.0

Portscout says there's a new version "before_acte_copyright" available.  Obviously that's wrong and 17.0.0 doesn't even come from github, it's only defined on the port makefile itself.

Portscout is messing this one up badly, but I don't know more than this.
Comment 1 John Marino freebsd_committer 2016-06-11 10:04:19 UTC
hmmm, why is this thrown on the heap?
There's no one identified as responsible for portscout?

Ah wait, portscout is an actual port?  Then it should have been assigned the port maintainer, right?  Let's try to get problems in the hands of the right people in the fewest amount of steps.
Comment 2 VK freebsd_triage 2016-06-11 14:52:50 UTC
John, thanks for the report. Indeed, and Bugzilla can auto-assign and request maintainer feedback if the summary contains fully qualified port name, in this case ports-mgmt/portscout. That, however, works only on first PR submission.

Requesting also maintainer feedback for correctness.
Comment 3 John Marino freebsd_committer 2016-06-11 14:55:20 UTC
Hi Vlad, I know.  What I didn't know was that portscout was a port.  I thought it was a service.

I was complaining that Mat assigned this to the heap (which takes effort) instead of assigning it to the proper maintainer (which takes about an equal amount of effort).  Doing that is a recipe for getting the PR lost so I was pointing out that this should not be done.
Comment 4 John Marino freebsd_committer 2016-06-27 14:37:55 UTC
Koobs,
By any chance, have you had a chance to look at this problem?

http://portscout.freebsd.org/marino@freebsd.org.html
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-29 11:20:38 UTC
Cause identified.

The PyPI site handler also needs updating to support the recent MASTER_SITES addition (files.pythonhosted.org) and I may include some other updates as well
Comment 6 John Marino freebsd_committer 2016-08-12 19:30:31 UTC
I've been waiting "anxiously" for the fix to be applied.  Or is only the cause known but there's no fix?  It's been a couple of months now...
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-13 04:23:08 UTC
@John The cause/fix is known, this issue is just lower on the priority list given its relatively lower severity/impact. I have been working on clearing out higher priority WIP items and will get to it soon. It has not been forgotten, thanks for the reminder
Comment 8 John Marino freebsd_committer 2016-09-04 15:21:23 UTC
personally, I think this should be considered a "high-priority" item.
It's the backbone for a public FreeBSD service and it's providing the wrong information.  What's more important than fixing a public service?
Comment 9 John Marino freebsd_committer 2017-01-05 15:01:02 UTC
okay, now that a half-year has passed, do you think we can get this fixed?

From this morning:
Dear port maintainer,

The portscout new distfile checker has detected that one or more of your
ports appears to be out of date. Please take the opportunity to check
each of the ports listed below, and if possible and appropriate,
submit/commit an update. If any ports have already been updated, you can
safely ignore the entry.

You will not be e-mailed again for any of the port/version combinations
below.

Full details can be found at the following URL:
http://portscout.freebsd.org/marino@freebsd.org.html


Port                                            | Current version | New version
------------------------------------------------+-----------------+------------
www/aws                                         | 17.1.0          | before_acte_copyright
------------------------------------------------+-----------------+------------
www/aws-demos                                   | 17.1.0          | before_acte_copyright
------------------------------------------------+-----------------+------------


If any of the above results are invalid, please check the following page
for details on how to improve portscout's detection and selection of
distfiles on a per-port basis:

http://portscout.freebsd.org/info/portscout-portconfig.txt



Given that portscout is an official FreeBSD service, I actually don't consider any bugs to it as "low priority" at all.